Talk:GPD Pocket

From ArchWiki
Jump to: navigation, search

gpd-pocket-support

I maintain the repo at https://github.com/njkli/gpd-pocket

Most of the how-to is now obsolete, that is - there's no need to do anything beyond 'pacman -Syyu gpd-pocket-support' and having the installed kernel in your boot loader configs.

As of today, the new kernel build includes usb_storage drivers, so it's now possible to boot/install our devices without usb ethernet.

If anybody wishes to see features/bugs added/removed, please open a github issue.

Also, i need a little help with packaging - my pkg must overwrite a couple of files from another pkg, the pulseaudio ucm profiles (installed together with alsa-lib), this naturally produces an error message...

PR is the best answer to the above question, alternatively - open an issue and explain what can be done.

Voobscout (talk) 17:35, 24 September 2017 (UTC)

First off, thank you for maintaining the repo! It made installation much easier.
Is the new kernel in the Official Arch ISO? That is what I used and I just added your repo during the installation and installed the packages that way. Would it be better have the wiki just instruct to install the gpd-pocket-support package? If so I hesitate to add that specifically as I was experimenting with the newer bios and when attempting to flash back to the ubuntu bios my machine was at roughly 45% batter and plugged in but it powered off during the flash leaving me to go through the RMA process. The Idiot You yell at (talk) 14:16, 26 September 2017 (UTC)

Farseerfc (talk) 19:12, 12 October 2017 (UTC)

Thank you for maintaining the repo.
For the how-to part of this wiki page, I think it's better to leave them on wiki and mention your repo in a note on top, because editing config files manually is more TheArchWay in my opinion.
And I think we should better listing the benefits of using a custom kernel (linux-jwrdegoede) over the vanilla kernel in this page. From my experience, most of the things is working including WiFi under 4.13.x vanilla kernel. All I get from linux-jwrdegoede is battery status and fan control.
BTW I added gpd-fan and linux-jwrdegoede packages into the unofficial [archlinuxcn] repo , because downloading from github is a pain from mainland China.
I'm not sure if Hans's kernel is in arch ISO, most likely not!
The gpd-pocket-support pkg is probably the easier way to get everything installed at one go, it's got all the xorg/sound etc... configs in it, someone should test it though, since "it works for me(TM)" - all I can say.
As to reflashing the BIOS - I didn't have any issues at all, tried it at different Bat% levels and it went smoothly, even at 5% Bat remaining, all done with flashrom from Arch.
Thank you very much for the Wiki page! The syntax of ArchWiki still escapes me and I don't wish to learn it either...
—This unsigned comment is by Voobscout (talk) 09:59, 7 October 2017‎. Please sign your posts with ~~~~!

pwm_lpss and pwm_lpss_platform conflict with i915 in early KMS setup using plymouth

I didn't want to update the wiki entry without checking here to see if there was something I'm missing. The wiki currently says to include the line: MODULES=(pwm_lpss pwm_lpss_platform i915) in the mkinitcpio.conf to enable early KMS. When I do this I get the classic i915 blank screen if I try to use KMS during the initrd (like with Plymouth). It actually gets the black screen of no return before plymouth runs (during its hook when it sets up the video devices using udev). I suggest the wiki either change to exclude the pwm modules in favor of command line options that make the blacklight work, or alternatively a note stating that it may cause conflicts. Blackhand314159 (talk) 03:43, 28 January 2018 (UTC)